<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<html>
<head>
<title> KeithleyMultimeters Tango Class User&lsquo;s Guide </title>
</head>
<body text="Black" bgcolor="White" link="Blue" vlink="Purple" alink="Red">
<hr>
<br>
<center><h2><u><b> KeithleyMultimeters Tango Cpp Class </b></u></h2></center>	<br><br>
	<ul>
		<font size="+1"><u><b> Contents : </b></u></font>
		<ul>
			<li> <a href="FullDocument.html#description">  Description  </a>
			<li> <a href="FullDocument.html#properties">   Properties   </a>
			<li> <a href="FullDocument.html#commands">     Commands     </a>
			<ul>
				<li> <a href="FullDocument.html#cmdState"> State </a>
				<li> <a href="FullDocument.html#cmdStatus"> Status </a>
				<li> <a href="FullDocument.html#cmdReadBufferedData"> ReadBufferedData </a>
				<li> <a href="FullDocument.html#cmdWriteRead"> WriteRead </a>
				<li> <a href="FullDocument.html#cmdAbort"> Abort </a>
				<li> <a href="FullDocument.html#cmdConfigure"> Configure </a>
				<li> <a href="FullDocument.html#cmdStartAcquisition"> StartAcquisition </a>
			</ul>
			<li> <a href="FullDocument.html#attributes">   Attributes   </a>
			<ul>
				<li> <a href="FullDocument.html#attrnPLC"> nPLC </a>
				<li> <a href="FullDocument.html#attrtriggerSource"> triggerSource </a>
				<li> <a href="FullDocument.html#attrnbPoints"> nbPoints </a>
				<li> <a href="FullDocument.html#attrnbBufferizedPoints"> nbBufferizedPoints </a>
				<li> <a href="FullDocument.html#attrdata"> data </a>
			</ul>
			<li> <a href="FullDocument.html#states">       States       </a>
		</ul>
	</ul>
	<hr>
<br><br>
<a name="description"> </a>
<ul>
	<br><br><br>
	<table border="0" width="100%">
		<Tr>
			<td> <font size="+1"><u><b> KeithleyMultimeters Class Identification : </b></u></font> </td>
			<td> <font size="+1"><u><b> KeithleyMultimeters Class Inheritance : </b></u></font> </td>
		</tr>
		<td><ul>
			<table border="0">
				<Tr>
					<td> Contact </td><td> : at synchrotron-soleil.fr - xavier.elattaoui</td>
				</tr>
				<tr>
					<td> Class Family </td><td> : Acquisition
				</tr>
				<tr>
					<td> Platform </td><td> : All Platforms </td>
				</tr>
				<tr>
					<td> Bus </td><td> : Ethernet </td>
				</tr>
				<tr>
					<td> Manufacturer </td><td> : Keithley </td>
				</tr>
				<tr>
					<td> Manufacturer ref.</td><td> : 2701 </td>
				</tr>
			</Table>
		</ul></td>
		<td>
			<ul><li> <a href="http://www.esrf.fr/computing/cs/tango/tango_doc/kernel_doc/cpp_doc/" target="new"> Tango::DeviceImpl</a></li>
			<ul> <li> KeithleyMultimeters</li>
			<br>
			<br>
			<br>
			<br>
			<br>
		</td>
	</Table>
	<br><br><br>
	<font size="+1"><u><b> KeithleyMultimeters Class Description : </b></u></font>
	<br><br>
	<ul>
		Device to interface a Keithley multimeters 2701. <br><Br>
		The Keithley is configured in Voltmeter <br><Br>
		The ReadBufferedData command initiate a scan and <br><Br>
		readback data stored in the Keithley buffer up to 450000 points. <br><Br>
		nbPoins and nPLC attributes are INVALID in RUNNING state (while Keithley integrates).
		
		<Br>
		<center>
		<h1>
		Keithley multimeters device		<Br>
		Device Description 		<Br> <Br>
		KeithleyMultimeters Class	<Br>
		</h1>
		<b>
		Revision:  - Author: 
		</b>
		</center>
		
		
		<Center>
		Device to interface a Keithley multimeters.
		<Br>
		<Br>
		</Center>
		
		<!---  /*PROTECTED REGION ID(FullDocument.html) ENABLED START*/  --->
			<!--- Add your own documentation, pictures, links,.... --->
			
		<!---  /*PROTECTED REGION END*/  --->
		
	</ul>
</ul>
<br><br>
<hr>
<a name="properties"> </a>
<br><br><br>
<font size="+1"><u><b> KeithleyMultimeters  Properties : </b></u></font>
<br><br><br>
<font size="+1"><u><b> There is no class properties </b></u></font>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=4> <font size=+1> <center><b> Device Properties </b></font></center></td>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
		<td> <center><b> Name </b></center> </td>
		<td> <center><b> Description </b></center> </td>
		<td> <center><b> Type </b></center> </td>
		<td> <center><b> Default Value </b></center> </td>
	</tr>
	<tr>
		<td> CommunicationLinkName </td>
		<td> Name of the device which handles the communication protocol </td>
		<td> String </td>
		<td> none </td>
	</tr>
	<tr>
		<td> SpecificConfiguration </td>
		<td> User Keithley configuration </td>
		<td> String[] </td>
		<td> none </td>
	</tr>
</table>
<br><br>
<hr>
<a name="commands"> </a>
<br><br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=5> <font size=+1> <center><b> KeithleyMultimeters Class Commands </b></font></center></td>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
		<td> <center><b> Name </b></center> </td>
		<td> <center><b> Input type </b></center> </td>
		<td> <center><b> Output type </b></center> </td>
		<td> <center><b> Level </b></center> </td>
		<td> <center><b> Description </b></center> </td>
	</tr>
	<tr>
		<td> <a href="CmdState.html"> State </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_STATE </td>
		<td> OPERATOR </td>
		<td> This command gets the device state (stored in its device_state data member) and returns it to the caller. </td>
	</tr>
	<tr>
		<td> <a href="CmdStatus.html"> Status </a> </td>
		<td> DEV_VOID </td>
		<td> CONST_DEV_STRING </td>
		<td> OPERATOR </td>
		<td> This command gets the device status (stored in its device_status data member) and returns it to the caller. </td>
	</tr>
	<tr>
		<td> <a href="CmdReadBufferedData.html"> ReadBufferedData </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Command to read back acquired/buffered data </td>
	</tr>
	<tr>
		<td> <a href="CmdWriteRead.html"> WriteRead </a> </td>
		<td> DEV_STRING </td>
		<td> DEV_STRING </td>
		<td> EXPERT </td>
		<td> Direct access to send (SCPI) low level commands to the instrument </td>
	</tr>
	<tr>
		<td> <a href="CmdAbort.html"> Abort </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> EXPERT </td>
		<td> Command to stop/abort acquisition </td>
	</tr>
	<tr>
		<td> <a href="CmdConfigure.html"> Configure </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> EXPERT </td>
		<td> Sends the user configuration defined in property. </td>
	</tr>
	<tr>
		<td> <a href="CmdStartAcquisition.html"> StartAcquisition </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Command to start a new acquisition </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdState"> </a>
<br><br><br>
<font size="+1"><u><b> Command State : </b></u></font>
<ul>
	This command gets the device state (stored in its device_state data member) and returns it to the caller.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> State Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> none </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_STATE </td>
		<td> Device state </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> true </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdStatus"> </a>
<br><br><br>
<font size="+1"><u><b> Command Status : </b></u></font>
<ul>
	This command gets the device status (stored in its device_status data member) and returns it to the caller.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> Status Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> none </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::CONST_DEV_STRING </td>
		<td> Device status </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> true </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> true </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdReadBufferedData"> </a>
<br><br><br>
<font size="+1"><u><b> Command ReadBufferedData : </b></u></font>
<ul>
	Command to read back acquired/buffered data
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> ReadBufferedData Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdWriteRead"> </a>
<br><br><br>
<font size="+1"><u><b> Command WriteRead : </b></u></font>
<ul>
	Direct access to send (SCPI) low level commands to the instrument
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> WriteRead Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_STRING </td>
		<td> Low level command to send </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_STRING </td>
		<td> Command response (if any) </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> EXPERT </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdAbort"> </a>
<br><br><br>
<font size="+1"><u><b> Command Abort : </b></u></font>
<ul>
	Command to stop/abort acquisition
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> Abort Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> EXPERT </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdConfigure"> </a>
<br><br><br>
<font size="+1"><u><b> Command Configure : </b></u></font>
<ul>
	Sends the user configuration defined in property.
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> Configure Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> EXPERT </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br><hr>
<a name="cmdStartAcquisition"> </a>
<br><br><br>
<font size="+1"><u><b> Command StartAcquisition : </b></u></font>
<ul>
	Command to start a new acquisition
</ul>
<br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=0> <font size=+1> <center><b> StartAcquisition Definition </b></font></center></td>
	</tr>
	<tr>
		<td> Input Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> no argin </td>
	</tr>
	<tr>
		<td> Output Argument </td>
		<td> Tango::DEV_VOID </td>
		<td> nio argout </td>
	</tr>
	<tr>
		<td> DisplayLevel </td>
		<td> OPERATOR </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Inherited </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Abstract </td>
		<td> false </td>
		<td> .. </td>
	</tr>
	<tr>
		<td> Polling Period </td>
		<td> Not polled </td>
		<td> .. </td>
	</tr>
<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td><Td><Hr></Td></Tr>
	<tr>
		<td> Command allowed for </td>
		<td> All states </td>
		<td> .. </td>
	</tr>
</table>
<br><br>
<hr>
<a name="attributes"> </a>
<br><br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=8> <font size=+1> <center><b> KeithleyMultimeters Class Attributes </b></font></center></td>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
		<td> <center><b> Name </b></center> </td>
		<td> <center><b> Inherited </b></center> </td>
		<td> <center><b> Abstract </b></center> </td>
		<td> <center><b> Attr. type </b></center> </td>
		<td> <center><b> R/W type </b></center> </td>
		<td> <center><b> Data type </b></center> </td>
		<td> <center><b> Level </b></center> </td>
		<td> <center><b> Description </b></center> </td>
	</tr>
	<tr>
		<td> <a href="AttrnPLC.html"> nPLC </a> </td>
		<td> false </td>
		<td> false </td>
		<td> Scalar </td>
		<td> READ_WRITE </td>
		<td> Tango::DEV_DOUBLE </td>
		<td> OPERATOR </td>
		<td> Integration rate in line cycles in the range [0.002,50] </td>
	</tr>
	<tr>
		<td> <a href="AttrtriggerSource.html"> triggerSource </a> </td>
		<td> false </td>
		<td> false </td>
		<td> Scalar </td>
		<td> READ_WRITE </td>
		<td> Tango::DEV_STRING </td>
		<td> OPERATOR </td>
		<td> Select control source (IMMediate, TIMer, MANual, BUS or EXTernal). </td>
	</tr>
	<tr>
		<td> <a href="AttrnbPoints.html"> nbPoints </a> </td>
		<td> false </td>
		<td> false </td>
		<td> Scalar </td>
		<td> READ_WRITE </td>
		<td> Tango::DEV_ULONG </td>
		<td> OPERATOR </td>
		<td> Acquisition number of points </td>
	</tr>
	<tr>
		<td> <a href="AttrnbBufferizedPoints.html"> nbBufferizedPoints </a> </td>
		<td> false </td>
		<td> false </td>
		<td> Scalar </td>
		<td> READ </td>
		<td> Tango::DEV_ULONG </td>
		<td> OPERATOR </td>
		<td> Number of points in the Keithley buffer </td>
	</tr>
	<tr>
		<td> <a href="Attrdata.html"> data </a> </td>
		<td> false </td>
		<td> false </td>
		<td> Spectrum </td>
		<td> READ </td>
		<td> Tango::DEV_DOUBLE </td>
		<td> OPERATOR </td>
		<td> Keithley bufferised data </td>
	</tr>
</table>
<br><br>
<hr>
<br><br>
<font size="+1"><u><b> There is no dynamic attribute defined. </b></u></font>
<br><br>
<hr>
<a name="attrnPLC"> </a>
<br><br><br>
<font size="+1"><u><b> Attribute nPLC : </b></u></font>
<ul>
	Integration rate in line cycles in the range [0.002,50]
</ul>
<br><br><br>
<Table Border=0 Cellpadding=0 CELLSPACING=20>
	<TR>
		<TD ALIGN="left" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Definition </b></font></center></td>
				</tr>
				<tr>
					<td> Attribute Type </td>
					<td> Scalar </td>
				</tr>
				<tr>
					<td> R/W Type </td>
					<td> READ_WRITE </td>
				</tr>
				<tr>
					<td> Data Type </td>
					<td> Tango::DEV_DOUBLE </td>
				</tr>
				<tr>
					<td> Display Level </td>
					<td> OPERATOR </td>
				</tr>
				<tr>
					<td> Inherited </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Abstract </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Polling Period </td>
					<td> Not polled </td>
				</tr>
				<tr>
					<td> Memorized </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Read allowed for </td>
					<td> All states </td>
				</tr>
				<tr>
					<td> Write allowed for </td>
					<td> All states </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Center" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Properties </b></font></center></td>
				</tr>
				<tr>
					<td> label </td>
					<td> nPLC </td>
				</tr>
				<tr>
					<td> unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> standard unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> display unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> format </td>
					<td> %4.2f </td>
				</tr>
				<tr>
					<td> max_value </td>
					<td> 50 </td>
				</tr>
				<tr>
					<td> min_value </td>
					<td> 0.002 </td>
				</tr>
				<tr>
					<td> max_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_time </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_val </td>
					<td>  </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Right" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Event Criteria </b></font></center></td>
				</tr>
				<tr>
					<td> Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Archive Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Push Change event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push Archive event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push DataReady event by user code </td>
					<td> false </td>
				</tr>
			</table>
		</td>
	</TR>
</table>
<br><br>
<hr>
<a name="attrtriggerSource"> </a>
<br><br><br>
<font size="+1"><u><b> Attribute triggerSource : </b></u></font>
<ul>
	Select control source (IMMediate, TIMer, MANual, BUS or EXTernal).
</ul>
<br><br><br>
<Table Border=0 Cellpadding=0 CELLSPACING=20>
	<TR>
		<TD ALIGN="left" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Definition </b></font></center></td>
				</tr>
				<tr>
					<td> Attribute Type </td>
					<td> Scalar </td>
				</tr>
				<tr>
					<td> R/W Type </td>
					<td> READ_WRITE </td>
				</tr>
				<tr>
					<td> Data Type </td>
					<td> Tango::DEV_STRING </td>
				</tr>
				<tr>
					<td> Display Level </td>
					<td> OPERATOR </td>
				</tr>
				<tr>
					<td> Inherited </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Abstract </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Polling Period </td>
					<td> Not polled </td>
				</tr>
				<tr>
					<td> Memorized </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Read allowed for </td>
					<td> All states </td>
				</tr>
				<tr>
					<td> Write allowed for </td>
					<td> All states </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Center" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Properties </b></font></center></td>
				</tr>
				<tr>
					<td> label </td>
					<td> triggerSource </td>
				</tr>
				<tr>
					<td> unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> standard unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> display unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> format </td>
					<td> %s </td>
				</tr>
				<tr>
					<td> max_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_time </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_val </td>
					<td>  </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Right" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Event Criteria </b></font></center></td>
				</tr>
				<tr>
					<td> Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Archive Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Push Change event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push Archive event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push DataReady event by user code </td>
					<td> false </td>
				</tr>
			</table>
		</td>
	</TR>
</table>
<br><br>
<hr>
<a name="attrnbPoints"> </a>
<br><br><br>
<font size="+1"><u><b> Attribute nbPoints : </b></u></font>
<ul>
	Acquisition number of points
</ul>
<br><br><br>
<Table Border=0 Cellpadding=0 CELLSPACING=20>
	<TR>
		<TD ALIGN="left" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Definition </b></font></center></td>
				</tr>
				<tr>
					<td> Attribute Type </td>
					<td> Scalar </td>
				</tr>
				<tr>
					<td> R/W Type </td>
					<td> READ_WRITE </td>
				</tr>
				<tr>
					<td> Data Type </td>
					<td> Tango::DEV_ULONG </td>
				</tr>
				<tr>
					<td> Display Level </td>
					<td> OPERATOR </td>
				</tr>
				<tr>
					<td> Inherited </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Abstract </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Polling Period </td>
					<td> Not polled </td>
				</tr>
				<tr>
					<td> Memorized </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Read allowed for </td>
					<td> All states </td>
				</tr>
				<tr>
					<td> Write allowed for </td>
					<td> All states </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Center" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Properties </b></font></center></td>
				</tr>
				<tr>
					<td> label </td>
					<td> nb points </td>
				</tr>
				<tr>
					<td> unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> standard unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> display unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> format </td>
					<td> %d </td>
				</tr>
				<tr>
					<td> max_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_time </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_val </td>
					<td>  </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Right" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Event Criteria </b></font></center></td>
				</tr>
				<tr>
					<td> Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Archive Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Push Change event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push Archive event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push DataReady event by user code </td>
					<td> false </td>
				</tr>
			</table>
		</td>
	</TR>
</table>
<br><br>
<hr>
<a name="attrnbBufferizedPoints"> </a>
<br><br><br>
<font size="+1"><u><b> Attribute nbBufferizedPoints : </b></u></font>
<ul>
	Number of points in the Keithley buffer
</ul>
<br><br><br>
<Table Border=0 Cellpadding=0 CELLSPACING=20>
	<TR>
		<TD ALIGN="left" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Definition </b></font></center></td>
				</tr>
				<tr>
					<td> Attribute Type </td>
					<td> Scalar </td>
				</tr>
				<tr>
					<td> R/W Type </td>
					<td> READ </td>
				</tr>
				<tr>
					<td> Data Type </td>
					<td> Tango::DEV_ULONG </td>
				</tr>
				<tr>
					<td> Display Level </td>
					<td> OPERATOR </td>
				</tr>
				<tr>
					<td> Inherited </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Abstract </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Polling Period </td>
					<td> Not polled </td>
				</tr>
				<tr>
					<td> Memorized </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Read allowed for </td>
					<td> All states </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Center" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Properties </b></font></center></td>
				</tr>
				<tr>
					<td> label </td>
					<td> nb bufferized points </td>
				</tr>
				<tr>
					<td> unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> standard unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> display unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> format </td>
					<td> %d </td>
				</tr>
				<tr>
					<td> max_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_time </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_val </td>
					<td>  </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Right" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Event Criteria </b></font></center></td>
				</tr>
				<tr>
					<td> Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Archive Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Push Change event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push Archive event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push DataReady event by user code </td>
					<td> false </td>
				</tr>
			</table>
		</td>
	</TR>
</table>
<br><br>
<hr>
<a name="attrdata"> </a>
<br><br><br>
<font size="+1"><u><b> Attribute data : </b></u></font>
<ul>
	Keithley bufferised data
</ul>
<br><br><br>
<Table Border=0 Cellpadding=0 CELLSPACING=20>
	<TR>
		<TD ALIGN="left" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Definition </b></font></center></td>
				</tr>
				<tr>
					<td> Attribute Type </td>
					<td> Spectrum  ( 450000 ) </td>
				</tr>
				<tr>
					<td> R/W Type </td>
					<td> READ </td>
				</tr>
				<tr>
					<td> Data Type </td>
					<td> Tango::DEV_DOUBLE </td>
				</tr>
				<tr>
					<td> Display Level </td>
					<td> OPERATOR </td>
				</tr>
				<tr>
					<td> Inherited </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Abstract </td>
					<td> false </td>
				</tr>
				<tr>
					<td> Polling Period </td>
					<td> Not polled </td>
				</tr>
				<tr>
					<td> Memorized </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Read allowed for </td>
					<td> All states </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Center" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Properties </b></font></center></td>
				</tr>
				<tr>
					<td> label </td>
					<td> data </td>
				</tr>
				<tr>
					<td> unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> standard unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> display unit </td>
					<td>  </td>
				</tr>
				<tr>
					<td> format </td>
					<td> %6.3f </td>
				</tr>
				<tr>
					<td> max_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_value </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_alarm </td>
					<td>  </td>
				</tr>
				<tr>
					<td> max_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> min_warning </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_time </td>
					<td>  </td>
				</tr>
				<tr>
					<td> delta_val </td>
					<td>  </td>
				</tr>
			</table>
		</td>
		<TD ALIGN="Right" VALIGN=top>
			<Table Border=2 Cellpadding=3 CELLSPACING=0>
				<tr bgcolor="#CCCCFF" class="TableHeadingColor">
				<td colspan=0> <font size=+1> <center><b> Attribute Event Criteria </b></font></center></td>
				</tr>
				<tr>
					<td> Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Archive Periodic </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Relative Change </td>
					<td> Not set </td>
				</tr>
				<tr>
					<td> Archive Absolute Change </td>
					<td> Not set </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td><Hr></Td><Td><Hr></Td></Tr>
				<tr>
					<td> Push Change event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push Archive event by user code </td>
					<td> false </td>
				</tr>
			<Tr BGCOLOR="#CCCCFF"><Td> </Td><Td> </Td></Tr>
				<tr>
					<td> Push DataReady event by user code </td>
					<td> false </td>
				</tr>
			</table>
		</td>
	</TR>
</table>
<br><br>
<hr>
<br><br>
<hr>
<a name="states"> </a>
<br><br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=2> <font size=+1> <center><b> KeithleyMultimeters Class States </b></font></center></td>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
		<td> <center><b> Name </b></center> </td>
		<td> <center><b> Description </b></center> </td>
	</tr>
	<tr>
		<td> RUNNING </td>
		<td> Acquisition is on the way </td>
	</tr>
	<tr>
		<td> STANDBY </td>
		<td> Ready for a new acquisition </td>
	</tr>
	<tr>
		<td> FAULT </td>
		<td> Device initailisation failed or an error occured </td>
	</tr>
</table>
</body>
</html>
